$(document).ready(function(){
    $("#createForm").on("submit",function(e){
        e.preventDefault();
        $(".is-invalid").removeClass("is-invalid");
        $(".invalid-feedback").html("");
        $(':input[type="submit"]').prop('disabled', true);
        $.ajax({
            headers:{'X-CSRF-TOKEN' :$("[name=_token]").val()},
            url: $(this).attr("action"),
            method:"post",
            dataType:"JSON",
            data:$(this).serialize(),
            success:function(data){
                $(':input[type="submit"]').prop('disabled', false);
                window.location.href=data.redirect;
            },
            error:function(errors){
                $(':input[type="submit"]').prop('disabled', false);
                if(errors.status ===422){
                    console.log(errors);
                    $.each(errors.responseJSON.errors,function(index,value){
                        $("#"+index).addClass("is-invalid");
                        $("#"+index).parent().find(".invalid-feedback").html(value);
                    });
                }else{
                    alert("Vous n'avez pas le droit d'effectuer cette opération");
                }
                
            }
        });
    });

    //image import
    $(".categoryHabillageSelector").on("change",function(e){

        //prepare image path
        var path=$(this).val().replace("\\",'/').replace("\\",'/').split('/');
        path[0]=storagePath;
        path=path.join('/');
        var that=$(this).attr("id");

        $.ajax({
            headers:{'X-CSRF-TOKEN' :$("[name=_token]").val()},
            url: $(this).attr("data-photoMaker"),
            method:"post",
            dataType:"JSON",
            data:"imgPath="+path,
            success:function(data){
                if(!data.fileExist){
                    alert("Le fichier n'existe pas");
                    $("#"+that).val($("#"+that).attr("data-original"));
                }else if(!data.correctMimeType){
                    alert("format du fichier incorrect");
                    $("#"+that).val($("#"+that).attr("data-original"));
                }else if(!data.correctSize){
                    alert("taille du fichier incorrect");
                    $("#"+that).val($("#"+that).attr("data-original"));
                }else{
                    $("#"+that).val(data.imgName);
                    $("#"+that).attr("data-original",data.imgName);
                    $("#"+$("#"+that).attr("data-dest")).val(data.imgName);
                }
            },
            error:function(errors){
                console.log(errors);
            }
        });

    });

    $(".popup_selector_colse").on("click",function(e){
        e.preventDefault();
        $("#"+$(this).data("inputid")).val("");
        $("#"+$(this).data("inputid")).attr("data-original");
        $("#"+$("#"+$(this).data("inputid")).data("dest")).val("");
    });

    //color picker
    $(".color-picker").ColorPicker({
        onSubmit:function(hsb,hex,rgb,el){
            $(el).val(hex);
            $(el).ColorPickerHide();
        },
        onBeforeShow:function(){
            $(this).ColorPickerSetColor(this.value);
        }
    }).bind('keyup', function(){
        $(this).ColorPickerSetColor(this.value);
    });
});